%define	name	svgalib
%define	version	1.9.18
%define	major	1
%define	release	1mdk
%define	libname	%mklibname %{name} %{major}

Name:		%{name}
Summary:	A low-level fullscreen SVGA graphics library
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		System/Libraries
URL:		http://www.svgalib.org/
Source0:	http://www.arava.co.il/matan/svgalib/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.9.18-norootbuild.patch.bz2
Patch1:		%{name}-1.2.13-buildroot.patch.bz2
Patch2:		%{name}-1.9.18-dontbuildkernelmodule.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The svgalib package provides the SVGAlib low-level graphics library for
Linux. SVGAlib is a library which allows applications to use full screen
graphics on a variety of hardware platforms. Many games and utilities use
SVGAlib for their graphics.

You'll need to have the svgalib package installed if you use any of the
programs which rely on SVGAlib for their graphics support.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Development tools for programs using the SVGAlib graphics library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n %{libname}-devel
The svgalib-devel package contains the libraries and header files needed
to build programs which will use the SVGAlib low-level graphics library.

Install the svgalib-devel package if you want to develop applications
which will use the SVGAlib library. Please take note that SVGAlib is
independent from X Window System. Thus, this package is useless if you
want to develop X11 applications.

%prep
%setup -q
%patch0 -p1 -b .peroyvind
%patch1 -p1
%patch2 -p1

%build
%make shared OPTIMIZE="$RPM_OPT_FLAGS"
cd sharedlib; ln -s libvgagl.so.%{version} libvgagl.so; ln -s libvga.so.%{version} libvga.so; cd -
cd threeDKit
make OPTIMIZE="$RPM_OPT_FLAGS -I../gl" LIBS="-L../sharedlib -lm -lvgagl -lvga"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}/vga}
%makeinstall INSTALL_SHLIB="install -c -m755"
install -m644 ./src/config/* $RPM_BUILD_ROOT%{_sysconfdir}/vga

(rm -f $RPM_BUILD_ROOT%{_datadir}/*)

%clean
rm -fr $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/vga
%config(noreplace) %{_sysconfdir}/vga/*
%{_bindir}/*
%{_mandir}/man?/*
#%attr(1777,root,root) %dir /var/lib/svgalib
%doc 0-README LICENSE svgalib.lsm

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
#%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*
%doc doc/CHANGES doc/DESIGN doc/Driver-programming-HOWTO doc/README.joystick doc/README.keymap doc/README.patching doc/README.vesa doc/TODO doc/svgalib.lsm

%changelog
* Wed Feb 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9.18-1mdk
- reintroduced new svgalib version into contrib (should be more safe now that it
  no longer requires setuid binaries)
- based on old spec with all the necessary cleanups

* Wed Oct 17 2001 Daouda LO <daouda@mandrakesoft.com> 1.4.3-2mdk
- better libification
- cleanups

* Sun Jun  3 2001  Daouda Lo <daouda@mandrakesoft.com> 1.4.3-1mdk
- 1.4.3 final
- change license to GPL-like 
- regenerate patche 0.
- rm patch 4 and staled @ldconfig tag.
- fix no-ldconfig-symlink typo. 

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.3-0.pre.20001010.1mdk
- 1.4.3.pre.20001010
- ported patches

* Thu Nov  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.1-7mdk
- fix to compile with gcc 2.96

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-6mdk
- BM

* Thu Jul 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-5mdk
- patched the config files to have now ps2 as default mouse type
- add (noreplace) to the config files
- specfile cleanup

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-4mdk
- Really fix %doc

* Wed May 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-3mdk
- Fix %doc

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot
- Use spechelper

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.4.1-1mdk
- Update 1.4.1

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- back to 1.4.0 stable version.
- big patch for gcc2.95 (hope this doen't break anything :-\).
- Ps: titi sucks.

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.4.1.pre.19990731

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong manpages (Bugs#22).

* Thu Jul 22 1999 Gregus <gregus@etudiant.net>
- fr locale
- added the two last sentences of the english description for svgalib-devel.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.4.0-RELEASE

* Tue Jul  6 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.4.0-pre19990705
- fix build for i[456]86 architectures

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- moved temporary svgalib files to /var/lib/svgalib

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- verify dumpreg is not setuid (problem #760)
- specfile fiddles

* Thu Jul 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.0
- security patch

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Mon Apr 06 1998 Erik Troan <ewt@redhat.com>
- updated to svgalib 1.2.13
- uses a build root

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- removed Mach64 from configuration, as the driver does not work

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

